$(document).ready(function () {
    $("body").on('click', '.editrec', EditRec);
    $("body").on('click', '.addnew', ItemShow);
    $("body").on('click', '.delrec', DelItemPart);

    function EditRec() {
        var tr = $(this).closest("tr"),
                code = tr.find(".trcode").val(),
                name = tr.find(".trname").val();
        $(".code").val(code);
        $(".name").val(name);
        $(".table").hide();
        $(".addnew").hide();
        $(".additem").show();

    }

//    itemhide();
//    function itemhide() {
//        $(".additem").hide();
//    }

    function DelItemPart() {
        var tr = $(this).closest("tr"),
                code = tr.find(".trcode").val(),
                name = tr.find(".trname").val();
//        if(code != '') {

        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "delitempart.php",
            data: {code: code},
            success: function (response) {
                if (response != '') {
                    alert(response);
//                    tr.remove();
                }
            },
            error: function (request, textStatus, errorThrown) {

            }
        });
    }

    function ItemShow() {
        $(".additem").show();
    }

});